# Class Graph.NoEdgeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jebl.evolution.graphs.Graph.NoEdgeException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `Graph`

public static class Graph.NoEdgeException extends Exception
This class is thrown by getEdgeLength(node1, node2) if node1 and node2 are not directly connected by an edge.

Version:
  $Id: Graph.java 849 2007-12-06 00:10:14Z twobeers $
Author:
  Andrew Rambaut, Alexei Drummond
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoEdgeException()`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoEdgeException

public NoEdgeException()